Add New Lookup Type
post
/obedm-common-services/lookuptype
This endpoint is used to add a new Lookup Type.
Request
Supported Media Types
- application/json
- application/xml
Header Parameters
-
appId(required): string
The ID of the Application.
-
branchCode(required): string
The branch code associated with the request.
-
contentType: string
The Content Type of The Request.
-
tenantId: string
The ID of the Tenant.
-
userId(required): string
The ID of the User.
Request Body that contains data required for creating a new Lookup Type.
Nested Schema : GenericDto
Match All
Show Source
-
object
GenericDto-allOf[0]
Discriminator:
resource_type
Nested Schema : GenericDto-allOf[0]
Type:
objectDiscriminator:
resource_typeNested Schema : DmTmLookupCodeDTO
Type:
Show Source
object-
enabledFlg:
boolean
Enabled Flag
-
id:
string
ID
-
lookupCd:
string
Lookup Code
-
lookupDesc:
string
Lookup Description
-
lookupTypeMasterId:
string
Lookup Type Master ID
-
seqNo:
integer
Minimum Value:
0Maximum Value:999Sequence Number -
subCodeOne:
string
Sub Code One
-
subCodeTwo:
string
Sub Code Two
-
sysDefFlg:
boolean
System Def Flag
Response
Supported Media Types
- application/json
- application/xml
201 Response
Returns message of success or failure.
Headers
-
Location: string
URL of newly created Lookup Type.
Nested Schema : ResponseResourceSupport
Type:
objectNested Schema : items
Type:
object400 Response
Malformed syntax.
401 Response
Request does not have sufficient credentials.
403 Response
Request is not authorized.
405 Response
Invalid input
500 Response
Internal error